---
title: 'SVGElement: load event'
slug: Web/API/SVGElement/load_event
tags:
  - API
  - Reference
  - SVGElement
  - events
  - load
---
<div>{{APIRef("SVG")}}</div>

<p>The <code>load</code> event fires on an <code>SVGElement</code> when it is loaded in the browser, e.g. in the DOM in the case of an embedded <code>&lt;svg&gt;</code>. It is basically the same as the standard <code>load</code> DOM event.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("SVGEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onload">onload</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">svgElem.addEventListener('load', () =&gt; {
  console.log('SVG loaded.');
})</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('SVG2', 'single-page.html#interact-LoadEvent', 'load')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGElement.load_event")}}</p>
